
#ifndef _MODELESS_H
#define _MODELESS_H

#include "mocamain.h"
#include "resource.h"

//--------------------------------------------------------------------------
// CSampleModelessDlg
//--------------------------------------------------------------------------
class CSampleModelessDlg : public CDialog
{
public:
	CSampleModelessDlg(CWnd *pwndParent = NULL); // standard constructor

	//{{AFX_DATA(CSampleModelessDlg)
	enum { IDD = IDD_SAMPLE };
	CString	m_strColName;
	CString	m_strWksName;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSampleModelessDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	virtual BOOL OnInitDialog();

private:

public:

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSampleModelessDlg)
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // _MODELESS_H